:: ===================================================
:: Configuration
:: Set these values to your local equivalent

:: This is the directory you installed Skyrim to:
SET gamepath="C:\Program Files (x86)\Steam\SteamApps\common\Skyrim"

:: This is the game directory for Enderal-FS:
SET endpath="C:\Program Files (x86)\Steam\SteamApps\common\Enderal"

:: This is the My Games\Skyrim directory used by Enderal-FS
SET endmygames="%USERPROFILE%\Documents\My games\Enderal"

:: This is the AppData\Local\Skyrim directory used by Enderal-FS
SET endappdata="%USERPROFILE%\AppData\Local\Enderal"

::====================================================

:: These values should be right. Unless you're on a weird system.
:: My Games\Skyrim
SET mygamespath="%USERPROFILE%\Documents\My games\skyrim"
:: AppData\Local\Skyrim
SET pluginspath="%USERPROFILE%\AppData\Local\skyrim"


:: SWITCHING
:: Checking if locations for Enderals files exist
@echo off
IF NOT EXIST %endpath% (
	echo The specified Enderal folder
	echo %endpath%
	echo does not exist!
	pause
	exit 1
)

IF NOT EXIST %endmygames% (
	echo The specified Enderal configuration folder
	echo %endmygames%
	echo does not exist!
	pause
	exit 1
)

IF NOT EXIST %endappdata% (
	echo The specified Enderal AppData folder
	echo %endappdata%
	echo does not exist!
	pause
	exit 1
)


:: Check if the Game directory exists. If it does, try to delete it. Create the Junction.

IF EXIST %gamepath% (
	rmdir %gamepath% >nul && echo Deleted old Junction, proceeding ... || (echo The games directory is not a junction and not an empty folder, cancelling ... && pause && exit 1)
	echo Creating new Junction ...
	mklink /J %gamepath% %endpath%
) ELSE (
	mklink /J %gamepath% %endpath%
)

:: The same for My Games\Skyrim

IF EXIST %mygamespath% (
	rmdir %mygamespath% >nul && echo Deleted old Junction, proceeding ... || (echo Error: My "games\Skyrim" directory is not a junction and not an empty folder, cancelling ... && pause && exit 1)
	echo Creating new Junction ...
	mklink /J %mygamespath% %endmygames%
) ELSE (
	mklink /J %mygamespath% %endmygames%
)

:: And for AppData\Local\Skyrim

IF EXIST %pluginspath% (
	rmdir %pluginspath% >nul && echo Deleted old Junction, proceeding ... || (echo Error: "AppData\Local\skyrim" directory is not a junction and not an empty folder, cancelling ... && pause && exit 1)
	echo Creating new Junction ...
	mklink /J %pluginspath% %endappdata%
) ELSE (
	mklink /J %pluginspath% %endappdata%
)

:: LAUNCHING
:: Check if CreationKit.exe exists. If so, start it. Else return_to_Skyrim.bat

IF EXIST %gamepath%\CreationKit.exe (
	echo Launching CreationKit with Enderal ...
	cd /D %gamepath%
	%gamepath%\CreationKit.exe
) ELSE (
	echo switch to Skyrim ...
	cd /D %gamepath%
	%gamepath%\return_to_Skyrim.bat
)

EXIT