:: ===================================================
:: Configuration
:: Set these values to your local equivalent

:: This is the directory you installed Skyrim to:
SET gamepath="C:\Program Files (x86)\Steam\SteamApps\common\Skyrim"

:: This is the game directory for Skyrim:
SET skypath="C:\Program Files (x86)\Steam\SteamApps\common\SkyrimSky"

:: This is the My Games\Skyrim directory used by Skyrim
SET skymygames="%USERPROFILE%\Documents\My games\skyrimSky"

:: This is the AppData\Local\Skyrim directory used by Skyrim
SET skyappdata="%USERPROFILE%\AppData\Local\skyrimSky"

::====================================================

:: These values should be right. Unless you're on a weird system.
:: My Games\Skyrim
SET mygamespath="%USERPROFILE%\Documents\My games\skyrim"
:: AppData\Local\Skyrim
SET pluginspath="%USERPROFILE%\AppData\Local\skyrim"

:: SWITCHING
:: Checking if locations for Skyrims files exist
@echo off
IF NOT EXIST %skypath% (
	echo The specified Skyrim folder
	echo %skypath%
	echo does not exist!
	pause
	exit 1
)

IF NOT EXIST %skymygames% (
	echo The specified Skyrim configuration folder
	echo %skymygames%
	echo does not exist!
	pause
	exit 1
)

IF NOT EXIST %skyappdata% (
	echo The specified Skyrim AppData folder
	echo %skyappdata%
	echo does not exist!
	pause
	exit 1
)


:: Check if the Game directory exists. If it does, try to delete it. Create the Junction.

IF EXIST %gamepath% (
	rmdir %gamepath% >nul && echo Deleted old Junction, proceeding ... || (echo The games directory is not a junction and not an empty folder, cancelling ... && pause && exit 1)
	echo Creating new Junction ...
	mklink /J %gamepath% %skypath%
) ELSE (
	mklink /J %gamepath% %skypath%
)

:: The same for My Games\Skyrim

IF EXIST %mygamespath% (
	rmdir %mygamespath% >nul && echo Deleted old Junction, proceeding ... || (echo Error: My "games\Skyrim" directory is not a junction and not an empty folder, cancelling ... && pause && exit 1)
	echo Creating new Junction ...
	mklink /J %mygamespath% %skymygames%
) ELSE (
	mklink /J %mygamespath% %skymygames%
)

:: And for AppData\Local\Skyrim

IF EXIST %pluginspath% (
	rmdir %pluginspath% >nul && echo Deleted old Junction, proceeding ... || (echo Error: "AppData\Local\skyrim" directory is not a junction and not an empty folder, cancelling ... && pause && exit 1)
	echo Creating new Junction ...
	mklink /J %pluginspath% %skyappdata%
) ELSE (
	mklink /J %pluginspath% %skyappdata%
)

EXIT